# -*- coding: utf-8 -*-

# Copyright 2013-2014 Jorge Estrada. 
#
# This file is part of azucar.pythonUtils project. 
# It is subject to the license terms in the 
# LICENSE file found in the top-level directory of this distribution. 
# No part of azucar.pythonUtils project, including this file, may be copied,
# modified, propagated, or distributed except according to the terms contained 
# in the LICENSE file.

from azucar.testutils import unittest
import sys

import azucar.checkConfig

class TestCheckConfig(unittest.TestCase):
    def test_checkLibrary(self):
        self.assertTrue(azucar.checkConfig.checkLibrary("python2.7", "1.0"))
        self.assertFalse(azucar.checkConfig.checkLibrary("python2.7", "1"))
        self.assertRaises(Exception, azucar.checkConfig.checkLibrary, "python2.7.0", "1.0")
    
if __name__ == '__main__':
    unittest.main()
